// edirctsl.cpp : implementation file
//

#include "stdafx.h"
#include "EdIRRes.h"
#include "EdIRCtSl.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_SelCtrlList

CPA_EdIR_SelCtrlList::CPA_EdIR_SelCtrlList()
{
}

CPA_EdIR_SelCtrlList::~CPA_EdIR_SelCtrlList()
{
}


BEGIN_MESSAGE_MAP(CPA_EdIR_SelCtrlList, CListCtrl)
	//{{AFX_MSG_MAP(CPA_EdIR_SelCtrlList)
	ON_WM_KEYUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPA_EdIR_SelCtrlList message handlers

void CPA_EdIR_SelCtrlList::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{

	CWnd * pCWnd = GetParent();
	if( pCWnd )
	{
		pCWnd->SendMessage( WM_COMMAND, ID_IR_LIST_REFRESH, (LPARAM)m_hWnd );
	}
	CListCtrl::OnKeyUp(nChar, nRepCnt, nFlags);
}

